/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea-ui-toolbar-dropdown {
  border: none;
  font-size: 1.4rem;
  line-height: 2.2rem;
  color: black;
  padding: 1px 3px;
  background-color: transparent;
  cursor: pointer;
  outline: none;
  height: 100%;
  display: flex;
  align-items: center;

  & > svg {
    width: 24px;
    height: 24px;
  }

  &.active {
    background-color: blue;
    color: white;
  }

  &.hover {
    background-color: black;
    color: white;
  }
}

.lea-ui-toolbar-dropdown:disabled {
  fill: #e8e8e8;
  color: #e8e8e8;
  cursor: not-allowed;
}

.lea-ui-toolbar-dropdown-children,
.lea-ui-toolbar-dropdown-submenu-children {
  .ant-dropdown-menu-item,
  .ant-menu-item,
  .ant-dropdown-menu-submenu .ant-dropdown-menu-submenu-title {
    font-weight: 500;
    font-size: 1.4rem;
    padding: 0px 18px 0px 18px !important;
    border: none;
    outline: none;
    width: 100%;
    text-align: left;
    min-height: 32px;
    line-height: 32px !important;
    margin: auto;
    position: relative;
    border-radius: 0;

    .ant-dropdown-menu-submenu-arrow {
      position: relative;
      inset-inline-end: 0px;
    }
    .ant-dropdown-menu-submenu-arrow-icon {
      color: #000 !important;
      font-size: 1.4rem !important;
    }
  }

  .ant-dropdown-menu-submenu .ant-dropdown-menu-submenu-title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    svg {
      height: inherit;
      line-height: 32px;
    }
  }

  .ant-dropdown-menu-item:hover,
  .ant-dropdown-menu-item-active,
  .ant-menu-item:hover,
  .ant-menu-item-active {
    background-color: #e5eafb !important;
    text-decoration: underline;

    .grid-size-selector > * {
      color: #000;
    }

    .left {
      text-decoration: underline;
    }
  }

  .ant-dropdown-menu-item-disabled {
    text-decoration: none !important;
  }

  .ant-dropdown-menu-item-disabled > span:first-child {
    color: rgba(0, 0, 0, 0.25) !important;
    text-decoration: none !important;
  }

  .ant-dropdown-menu-item:hover > span:first-child,
  .ant-dropdown-menu-item-active > span:first-child,
  .ant-menu-item:hover > span:first-child,
  .ant-menu-item-active > span:first-child {
    text-decoration: underline;
    color: #000;
  }

  .ant-dropdown-menu-vertical,
  .ant-menu-vertical {
    border-radius: 0px;
    padding: 2px 0;
    .ant-dropdown-menu-item:not(:last-child),
    .ant-menu-item:not(:last-child) {
      margin-bottom: 0;
    }
    .ant-dropdown-menu-item,
    .ant-menu-item {
      margin: auto;
      line-height: 32px;
      min-height: 32px;
      border-radius: 0;
      font-weight: 500;
      font-size: 1.4rem;
    }

    .ant-checkbox-wrapper > span:not(:first-child) {
      font-size: 1.4rem;
      padding-left: 16px;
    }

    .ant-checkbox-wrapper {
      display: flex;
      align-items: center;
    }
  }
}
